<?php
// $Horde: horde/config/registry.php.dist,v 1.52.2.2 2001/12/03 16:08:13 chuck Exp $

// Uncomment the auth/login/logout lines if you want to let either
// IMP or Gollem handle the authentication for Horde. This avoids the
// "double login" while accessing IMP.

// $this->registry['auth']['login'] = 'imp';
// $this->registry['auth']['logout'] = 'imp';
// $this->registry['auth']['login'] = 'gollem';
// $this->registry['auth']['logout'] = 'gollem';
$this->registry['mail']['compose'] = 'imp';
$this->registry['mail']['composePopup'] = 'imp';
$this->registry['contacts']['search'] = 'turba';
$this->registry['contacts']['add'] = 'turba';
$this->registry['contacts']['sources'] = 'turba';
$this->registry['contacts']['fields'] = 'turba';
$this->registry['net']['finger'] = 'nic';
$this->registry['tasks']['search'] = 'nag';
$this->registry['tasks']['list'] = 'nag';
$this->registry['tasks']['show'] = 'nag';
$this->registry['tasks']['add'] = 'nag';

// Default to assuming that the module directories live inside the horde
// directory.
$this->applications['horde'] = array(
    'fileroot' => dirname(__FILE__) . '/..',
    'webroot' => '/horde',
    'initial_page' => 'login.php',
    'icon' => '/horde/graphics/login.gif',
    'name' => _("Horde"),
    'allow_guests' => true,
    'show' => true,
    'templates' => dirname(__FILE__) . '/../templates',
    'cookie_domain' => $GLOBALS['HTTP_SERVER_VARS']['SERVER_NAME'],
    'cookie_path' => '/horde',
    'server_name' => $GLOBALS['HTTP_SERVER_VARS']['SERVER_NAME'],
    'server_port' => $GLOBALS['HTTP_SERVER_VARS']['SERVER_PORT']
);

$this->applications['imp'] = array(
    'fileroot' => dirname(__FILE__) . '/../imp',
    'webroot' => '/horde/imp',
    'icon' => '/horde/imp/graphics/imp.gif',
    'name' => _("Mail"),
    'allow_guests' => true,
    'show' => true
);

$this->applications['turba'] = array(
    'fileroot' => dirname(__FILE__) . '/../turba',
    'webroot' => '/horde/turba',
    'icon' => '/horde/turba/graphics/turba.gif',
    'name' => _("Addressbook"),
    'allow_guests' => false,
    'show' => true
);

$this->applications['gollem'] = array(
    'fileroot' => dirname(__FILE__) . '/../gollem',
    'webroot' => '/horde/gollem',
    'icon' => '/horde/gollem/graphics/gollem.gif',
    'name' => _("FTP"),
    'allow_guests' => true,
    'show' => true
);

$this->applications['nic'] = array(
    'fileroot' => dirname(__FILE__) . '/../nic',
    'webroot' => '/horde/nic',
    'icon' => '/horde/nic/graphics/nic.gif',
    'name' => _("Network"),
    'allow_guests' => true,
    'show' => true
);

$this->applications['kronolith'] = array(
    'fileroot' => dirname(__FILE__) . '/../kronolith',
    'webroot' => '/horde/kronolith',
    'icon' => '/horde/kronolith/graphics/kronolith.gif',
    'name' => _("Calendar"),
    'allow_guests' => false,
    'show' => true
);

$this->applications['jonah'] = array(
    'fileroot' => dirname(__FILE__) . '/../jonah',
    'webroot' => '/horde/jonah',
    'icon' => '/horde/jonah/graphics/jonah.gif',
    'name' => _("Headlines"),
    'allow_guests' => true,
    'show' => true
);

$this->applications['troll'] = array(
    'fileroot' => dirname(__FILE__) . '/../troll',
    'webroot' => '/horde/troll',
    'icon' => '/horde/troll/graphics/troll.gif',
    'name' => _("News"),
    'allow_guests' => true,
    'show' => true
);

$this->applications['chora'] = array(
    'fileroot' => dirname(__FILE__) . '/../chora',
    'webroot' => '/horde/chora',
    'icon' => '/horde/chora/graphics/chora.gif',
    'name' => _("CVS"),
    'allow_guests' => true,
    'show' => true
);

$this->applications['whups'] = array(
    'fileroot' => dirname(__FILE__) . '/../whups',
    'webroot' => '/horde/whups',
    'icon' => '/horde/whups/graphics/whups.gif',
    'name' => _("Bugs"),
    'allow_guests' => true,
    'show' => true
);

$this->applications['nag'] = array(
    'fileroot' => dirname(__FILE__) . '/../nag',
    'webroot' => '/horde/nag',
    'icon' => '/horde/nag/graphics/nag.gif',
    'name' => _("Tasks"),
    'allow_guests' => true,
    'show' => true
);

$this->applications['orator'] = array(
    'fileroot' => dirname(__FILE__) . '/../orator',
    'webroot' => '/horde/orator',
    'name' => _("Presentations"),
    'allow_guests' => true,
    'show' => false
);

$this->services['gollem']['auth']['login'] = array(
    'link' => "%application%/login.php?redirect_url=|url|"
);
$this->services['gollem']['auth']['logout'] = array(
    'link' => "%application%/login.php?reason=logout&redirect_url=|url|"
);

$this->services['imp']['auth']['login'] = array(
    'link' => "%application%/login.php?redirect_url=|url|"
);
$this->services['imp']['auth']['logout'] = array(
    'link' => "%application%/login.php?reason=logout&redirect_url=|url|"
);
$this->services['imp']['mail']['compose'] = array(
    'link' => "javascript:open_compose_win('popup=1&to=|to|&cc=|cc|&bcc=|bcc|&msg=|msg|&subject=|subject||extra|');",
    'includeFile' => '%application%/templates/javascript/open_compose_win.js',
);
$this->services['imp']['mail']['composePopup'] = array(
    'file' => '%application%/lib/api.php',
    'includeFile' => '%application%/templates/javascript/open_compose_win.js',
    'function' => 'impComposePopup',
    'args' => array()
);
$this->services['imp']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'impSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['kronolith']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'kronolithSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['nag']['tasks']['list'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagListTasks',
    'args' => array('sortby', 'sortdir'),
    'type' => 'array'
);
$this->services['nag']['tasks']['search'] = array(
    'link' => "%application%/search.php"
);
$this->services['nag']['tasks']['show'] = array(
    'link' => "%application%/view.php?task=|task|"
);
$this->services['nag']['tasks']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagAddTask',
    'args' => array('name', 'description', 'due'),
    'type' => 'integer'
);
$this->services['nag']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'nagSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['nic']['net']['finger'] = array(
    'link' => "%application%/finger.php?address=|address|"
);

$this->services['turba']['contacts']['search'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaExpandAddresses',
    'args' => array('addresses', 'addressbooks', 'fields'),
    'type' => 'array'
);
$this->services['turba']['contacts']['add'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaAddAddress',
    'args' => array('name', 'address', 'addressbook'),
    'type' => 'boolean'
);
$this->services['turba']['contacts']['sources'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaGetSources',
    'args' => array('writeable'),
    'type' => 'array'
);
$this->services['turba']['contacts']['fields'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'turbaGetFields',
    'args' => array('addressbook'),
    'type' => 'array'
);

$this->services['whups']['horde']['summary'] = array(
    'file' => '%application%/lib/api.php',
    'function' => 'whupsSummary',
    'args' => array(),
    'type' => 'string'
);

$this->services['default']['mail']['compose'] = array(
    'link' => "mailto:%to%"
);

?>
