<?php
// $Horde: horde/lib/MIME/Viewer/tgz.php,v 1.10 2001/08/28 16:27:06 chuck Exp $

/**
 * The MIME_Viewer_tgz class renders out .tgz tarballs
 * in HTML format by executing tar in query mode.
 *
 * @author  Anil Madhavapeddy <anil@recoil.org>
 * @version $Revision: 1.10 $
 * @since   Horde 1.3
 * @package horde.mime.viewer
 */

class MIME_Viewer_tgz extends MIME_Viewer {

    /**
     * Render out the currently set contents using Tar.  The
     * $mime_part class variable has the information to render out,
     * encapsulated in a MIME_Part object.
     *
     * @return string HTML pretty-print of the content
     */
    function render($params = null)
    {
        global $mime_drivers;

        $tmp_tgz = Horde::getTempFile('hordetgz');

        $fh = fopen($tmp_tgz, 'w');
        fwrite($fh, $this->mime_part->getContents());
        fclose($fh);

        $pipe = popen($mime_drivers['horde']['tgz']['location'] . " tvzf $tmp_tgz 2>&1", 'r');
        $data = '<b><u>';
        $data .= _("Contents of the GZipped Tarball");
        $data .= '</u></b><br /><table><tr><td align="left"><pre>';

        $re = '';
        while (($rc = fgets($pipe, 8192))) {
            $re .= $rc;
        }

        pclose($pipe);

        $data .= htmlspecialchars($re);
        $data .= '</pre></td></tr></table>';

        return $data;
    }

    function getType()
    {
        return 'text/html';
    }
}
